html {
  scroll-behavior: smooth;
}
form.cashback-calculator-simulator .messages-list:has(.messages--error) {
    display: none;
}
form.cashback-calculator-simulator .webform-flex .js-webform-flexbox {
    flex-direction: column;
    margin-top: 0;
}
form.cashback-calculator-simulator .webform-flexbox {
    margin: 0 !important;
}
form.cashback-calculator-simulator h2.calc-form-title {
    text-align: center;
}
form.cashback-calculator-simulator .select-program-field {
    border: none;
}
form.cashback-calculator-simulator fieldset {
    margin-bottom: 20px !important;
}
form.cashback-calculator-simulator fieldset legend {
    float: left;
}
@media screen and (max-width: 350px) {
    form.cashback-calculator-simulator fieldset legend {
        width: 100%;
        margin-bottom: 20px;
    }
}
@media screen and (max-width: 767px) {
    form.cashback-calculator-simulator fieldset legend {
        text-align: center;
    }
}
@media screen and (max-width: 991px) {
    form.cashback-calculator-simulator fieldset legend {
        text-align: left;
        width: 100%;
    }
}
form.cashback-calculator-simulator fieldset legend span {
    position: unset;
    box-shadow: none;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: 30px;
    color: #182230;
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper {
    margin-top: 50px;
    position: relative;
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed {
    position: absolute;
    top: -60px;
    right: 0;
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed .js-form-type-item:has(.calculate-button):before,
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed .js-form-type-item:has(.calculate-button):after {
    display: none;
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed:has(.calculate-button) {
   position: unset;
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed .calculate-button {
    border-radius: 24px;
    border: 1px solid #d9dadb;
    background: #ffffff;
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
    padding: 10px 20px;
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed .calculate-button:hover {
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.55);
    cursor: pointer;
  
}
form.cashback-calculator-simulator .webform-computed-loading {
    background-color: unset !important;
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed .js-form-type-item {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4px;
    font-weight: bold;
    font-size: 20px;
    color: #ffa333;
}
@media screen and (max-width: 370px) {
    form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed .js-form-type-item {
        margin-top: 35px;
    }
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed .js-form-type-item:before {
    content: "Primești înapoi:";
    color: #ffa333;
    font-weight: 400;
    font-size: 16px;
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed .js-form-type-item:after {
    content: " ";
    background: url(/sites/g/files/kgtney1711/files/media/image/2024/09/26/check-circle-broken_2.svg);
    width: 24px;
    height: 24px;
    display: block;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;  
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed:has(.product-minimum-amount) {
    position: unset;
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed:has(.product-minimum-amount) .js-form-type-item {
    margin-top: 0;
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed:has(.product-minimum-amount) .js-form-type-item:before,
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed:has(.product-minimum-amount) .js-form-type-item:after {
    display: none !important;
}
form.cashback-calculator-simulator fieldset > .fieldset-wrapper > .js-webform-computed .product-minimum-amount {
    font-size: 13px;
    font-weight: 400;
    color: black;
}
form.cashback-calculator-simulator .js-webform-checkboxes .form-type-checkbox {
    border-radius: 12px;
    border: 1px solid #EAECF0;
    background: #ffffff;
    padding: 16px;
}
form.cashback-calculator-simulator .js-webform-checkboxes .form-type-checkbox label {
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 24px;
}
form.cashback-calculator-simulator .js-webform-checkboxes .form-type-checkbox .description {
    padding-left: 35px;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}
form.cashback-calculator-simulator .js-webform-checkboxes .form-type-checkbox.selected-program {
    border-radius: 12px;
    border: 2px solid #008B2E;
    background: #F0F9F3;
}
form.cashback-calculator-simulator .js-webform-checkboxes .form-type-checkbox.selected-program input[type=checkbox]:checked {
    background-image: url(/sites/g/files/kgtney1711/files/media/image/2024/09/23/check.svg);
    background-size: 70%;
    background-color: #008B2E;
    border-radius: 6px;
    border: none;
}
form.cashback-calculator-simulator .js-webform-checkboxes .form-type-checkbox input[type=checkbox] {
    box-shadow: none;
}
form.cashback-calculator-simulator .form-type-number input[type=number]::-webkit-inner-spin-button, 
form.cashback-calculator-simulator .form-type-number input[type=number]::-webkit-outer-spin-button {  
    opacity: 1;
}
form.cashback-calculator-simulator .js-form-item select {
    border-radius: 8px;
    border: 1px solid #D0D5DD;
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
}
form.cashback-calculator-simulator .js-form-item select {
    border-radius: 8px;
    border: 1px solid #D0D5DD;
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
} 
form.cashback-calculator-simulator .js-form-item select.tw-bg-light-blue {
     background: #FFFFFF; 
}
form.cashback-calculator-simulator .form-type-number input {
    border-radius: 8px;
    border: 1px solid #D0D5DD;
    background: #FFFFFF;
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
}
form.cashback-calculator-simulator fieldset.program-fieldset {
    border-radius: 24px;
    border: 1px solid #EAECF0;
    background: #F9FAFB;
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
}
form.cashback-calculator-simulator fieldset.program-fieldset legend span {
    background: none;
    padding-left: 0;
}
@media screen and (min-width: 992px) {
    form.cashback-calculator-simulator fieldset.program-fieldset legend span {
        width: 70%;
        display: block;
        min-width: 400px;
        max-width: 100%;
    }
}
@media screen and (max-width: 991px) {
    form.cashback-calculator-simulator fieldset.program-fieldset legend span {
        margin-top: 40px;
        display: block;
    }
}
form.cashback-calculator-simulator fieldset.program-fieldset .fieldset-wrapper .form-item.js-form-type-item label {
    display: none;
}
form.cashback-calculator-simulator fieldset.program-fieldset .fieldset-wrapper .form-item label {
    position: unset;
    background: none;
    box-shadow: none;
    padding-left: 0;
    margin-bottom: 10px;
    display: block;
}
form.cashback-calculator-simulator fieldset.program-fieldset .success {
    font-size: 14px;
    font-style: normal;
    line-height: 20px;
    color: #008B2E;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}
form.cashback-calculator-simulator fieldset.program-fieldset .success:before {
    content: " ";
    background: url(/sites/g/files/kgtney1711/files/media/image/2024/09/24/check-circle-broken_1.svg);
    width: 20px;
    height: 20px;
    display: block;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover; 
}
form.cashback-calculator-simulator fieldset.program-fieldset .warning {
    font-size: 14px;
    font-style: normal;
    line-height: 20px;
    color: #EB8200;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    flex-wrap: nowrap;
}
form.cashback-calculator-simulator fieldset.program-fieldset .warning:before {
    content: " ";
    background: url(/sites/g/files/kgtney1711/files/media/image/2024/09/24/alert-triangle.svg);
    width: 20px;
    height: 20px;
    display: block;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover; 
    margin-top: 2px;
}
form.cashback-calculator-simulator .webform-flex--5 {
    position: relative;
    z-index: 2;
}
form.cashback-calculator-simulator .webform-flex--5 div {
    width: 100%;
}
@media only screen and (min-width: 768px) and (max-width: 1023px)  {
    form.cashback-calculator-simulator .webform-flex--5 div {
        margin: 0 !important;
    }
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container {
    position: sticky;
    top: 130px;
    border-radius: 24px;
    background: #F9FAFB;
}
@media screen and (max-width: 1199px) {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container {
        margin: 0 !important;
    }
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container:has(.empty-cashback) {
    background: none;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .js-webform-states-hidden {
    //display: none !important;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container button {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container button.js-webform-computed-submit {
    display: none !important;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .submit-form-button {
    margin: 20px auto !important;
    width: fit-content;
}
@media screen and (min-width: 1200px) {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .submit-form-button {
        margin: 20px auto 30px !important;
    }
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container button span {
    position: relative;
    height: 100%;
    top: 13px;
    right: unset;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .empty-cashback {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
      
    border-radius: 24px;
    border: 1px solid #EAECF0;
    background: #F9FAFB;
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
    margin-top: 0;
    padding: 30px;
    width: 100%;
    min-height: 300px;
    text-align: center;
}
@media screen and (min-width: 768px) {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .empty-cashback {
        //margin-top: 261px;
    }
}
@media only screen and (min-width: 768px) and (max-width: 991px)  {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .empty-cashback {
        margin-top: 0;
        line-height: normal;
    }
}
@media screen and (min-width: 992px) {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .empty-cashback {
        margin-top: 261px;
    }
}
@media screen and (min-width: 1200px) {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .empty-cashback {
        width: 450px;
    }
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container .total-summary-wrapper:has(.empty-cashback) .empty-cashback {
    margin: 0 !important;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container > .webform-flex--12:first-child {
   //display: none;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container .total-summary-wrapper {
    position: absolute;
    top: 47%;
    left: 50%;
    font-size: 25px;
    font-weight: 700;
    display: flex;
    flex-direction: column;
    text-align: center;
    width: fit-content;
    transform: none;
    z-index: 2;
    justify-content: center;
    align-items: center;
}
@media screen and (max-width: 767px) {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container .total-summary-wrapper {
        margin: 0;
        width: 100%;
        position: unset;
    }
}
@media only screen and (min-width: 768px) and (max-width: 991px)  {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container .total-summary-wrapper {
        line-height: 0;
        transform: translate(-50%, -50%);
        top: 45%;
        font-size: 15px;
    }
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container .total-summary-wrapper:has(.empty-cashback) {
        left: 0 !important;
        margin-top: 0 !important;
        transform: none;
    }
}
@media screen and (min-width: 992px) {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container .total-summary-wrapper {
        position: absolute;
        top: 47%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container .total-summary-wrapper:has(.empty-cashback) {
    position: unset !important;
    transform: none !important;
    margin-top: 0 !important;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container .total-summary-wrapper .final-summary {
    width: fit-content;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container .total-summary-wrapper .final-summary:after {
    content: " lei";
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container > .webform-flex--12:first-child:has(.empty-cashback) {
   display: block;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container > .webform-flex--12:first-child:has(.empty-cashback) label {
   display: none;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container > .webform-flex--12:first-child label {
    position: relative;
    background: none;
    box-shadow: none;
}
@media screen and (max-width: 450px) {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container > .webform-flex--12:first-child label {
        width: 130px;
        margin: 0 auto;
    }
}
@media only screen and (min-width: 768px) and (max-width: 991px)  {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container > .webform-flex--12:first-child label {
        font-size: 10px;
        width: 85px;
    }
}
form.cashback-calculator-simulator .webform-flex--5 .sticky-form-container .webform-flex--12 {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin: 0;
}
@media screen and (max-width: 767px) {
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container > .webform-flex--12:first-child:has(.empty-cashback) .total-summary-wrapper {
        position: unset;
        transform: none;
    }
    form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container > .webform-flex--12:first-child .total-summary-wrapper {
        position: absolute;
        transform: translate(-50%, -50%);
    }
}  
form.cashback-calculator-simulator .webform-flex--5 .sticky-form-container .webform-flex--12:last-child > .webform-flex--container {
    display: flex;
    align-items: center;
    justify-content: center;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container > .webform-flex--12:last-child > .webform-flex--container {
    margin: 0;
    width: fit-content;
}
form.cashback-calculator-simulator .webform-flex--5 > .webform-flex--container .sticky-form-container #chartGraph {
    width: 100% !important;
    height: auto !important;
}
form.cashback-calculator-simulator #chart {
    min-height: auto !important;
}
form.cashback-calculator-simulator #chart .apexcharts-canvas {
    height: auto !important;
    width: auto !important;  
}
form.cashback-calculator-simulator #chart .apexcharts-legend-text {
    display: flex;
    column-gap: 10px;
}

form.cashback-calculator-simulator .webform-confirmation .webform-confirmation__message {
    background: none;
    display: none;
}
form.cashback-calculator-simulator .webform-confirmation .webform-confirmation__message .material-icons-outlined {
    display: none;
}
form.cashback-calculator-simulator .webform-confirmation .webform-confirmation__message div {
    color: #000000;
    font-size: 20px;
    width: 100%;
    text-align: center;
}

